curl --request GET \
--url https://api.example.com/v3/stt/providersimport requests
url = "https://api.example.com/v3/stt/providers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v3/stt/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v3/stt/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v3/stt/providers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v3/stt/providers")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v3/stt/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "6a5c45808d2d94e9d0e255d3",
"provider_name": "deepgram",
"display_name": "Deepgram",
"status": "ACTIVE",
"priority": 10,
"languages": [
{
"language_code": "en-US",
"language_name": "English (US)",
"is_default": true,
"models": [
{
"id": "aec2493a-eba9-48d0-9e64-4aab4437f7f5",
"model_name": "nova-2-phonecall",
"display_name": "Nova 2 Phone Call",
"model_version": "2",
"latency_in_ms": 300,
"tag": "telephony",
"is_default": true,
"support_interruption_mode": true
}
]
}
],
"created_at": "2026-05-04T08:00:00Z",
"modified_at": "2026-09-12T11:20:00Z"
}
],
"next_page_token": "eyJwcmlvcml0eSI6MTAsIl9pZCI6IjZhNWM0NTgwOGQyZDk0ZTlkMGUyNTVkMyJ9"
}List STT providers
List the speech-to-text providers you can use in an agent, with the models each one offers per language. This catalog is read-only.
To reference an entry when you create or update an agent:
| Agent field | Where it is in this response |
|---|---|
stt.provider_id | data[].id |
stt.model_id | data[].languages[].models[].id |
The catalog is global. Providers are sorted by priority, then by creation time. Pass sort_direction to reverse the order.
Filters
| Parameter | Notes |
|---|---|
language_code | Only providers that support this language code. |
status | ACTIVE, INACTIVE or DELETED. Defaults to ACTIVE. |
page_size | 1–100, default 10. |
sort_direction | asc or desc, default desc. |
This list still uses the older paged shape, not the v3 envelope. The providers are in the top-level data array and the cursor is the top-level next_page_token. There is no status or message. When next_page_token is absent, you have reached the last page.
curl --request GET \
--url https://api.example.com/v3/stt/providersimport requests
url = "https://api.example.com/v3/stt/providers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v3/stt/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v3/stt/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v3/stt/providers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v3/stt/providers")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v3/stt/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "6a5c45808d2d94e9d0e255d3",
"provider_name": "deepgram",
"display_name": "Deepgram",
"status": "ACTIVE",
"priority": 10,
"languages": [
{
"language_code": "en-US",
"language_name": "English (US)",
"is_default": true,
"models": [
{
"id": "aec2493a-eba9-48d0-9e64-4aab4437f7f5",
"model_name": "nova-2-phonecall",
"display_name": "Nova 2 Phone Call",
"model_version": "2",
"latency_in_ms": 300,
"tag": "telephony",
"is_default": true,
"support_interruption_mode": true
}
]
}
],
"created_at": "2026-05-04T08:00:00Z",
"modified_at": "2026-09-12T11:20:00Z"
}
],
"next_page_token": "eyJwcmlvcml0eSI6MTAsIl9pZCI6IjZhNWM0NTgwOGQyZDk0ZTlkMGUyNTVkMyJ9"
}Query Parameters
Only providers that support this language code, for example en-US.
Filter by lifecycle status.
ACTIVE, INACTIVE, DELETED Number of results per page, 1–100.
1 <= x <= 100Cursor from the previous response's next_page_token. Omit for the first page.
Sort order.
asc, desc Response
Page of STT providers

